Debian Bug report logs - #575411
fop: log4j not initialized correctly

version graph

Package: fop; Maintainer for fop is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for fop is src:fop.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Thu, 25 Mar 2010 16:09:01 UTC

Severity: normal

Tags: patch

Found in version fop/1:0.95.dfsg-10

Fixed in version fop/1:1.0.dfsg2-3

Done: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Thu, 25 Mar 2010 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 25 Mar 2010 16:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fop: log4j not initialized correctly
Date: Thu, 25 Mar 2010 16:07:03 +0000
[Message part 1 (text/plain, inline)]
Package: fop
Version: 1:0.95.dfsg-10
Severity: normal

The following warnings occur every time I run fop:

  lakeview ok % fop -v 2>&1 | head -n 2
  log4j:WARN No appenders could be found for logger (org.apache.fop.util.ContentHandlerFactoryRegistry).
  log4j:WARN Please initialize the log4j system properly.

The errors occur whether I run fop through ant or at the command line.
They occur with or without an XML configuration file.  As demonstrated,
these occur whether or not any data are actually being processed.

If you need me to test something, please let me know.  If you think this
belongs to log4j, feel free to reassign it.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fop depends on:
ii  default-jre-headless [jav 1.6-34         Standard Java or Java compatible R
ii  gcj-4.4-jre-headless [jav 4.4.3-5        Java runtime environment using GIJ
ii  gcj-jre-headless [java2-r 4:4.4.3-1      Java runtime environment using GIJ
ii  gij-4.3 [java2-runtime-he 4.3.4-4        The GNU Java bytecode interpreter
ii  java-wrappers             0.1.15         wrappers for java executables
ii  libavalon-framework-java  4.2.0-7        Common framework for Java server a
ii  libbatik-java             1.7-6          xml.apache.org SVG Library
ii  libbsf-java               1:2.4.0-3      Bean Scripting Framework to suppor
ii  libcommons-io-java        1.4-2          Common useful IO related classes
ii  libcommons-logging-java   1.1.1-7        commmon wrapper interface for seve
ii  libxalan2-java            2.7.1-5        XSL Transformations (XSLT) process
ii  libxerces2-java           2.9.1-4.1      Validating XML parser for Java wit
ii  libxml-commons-external-j 1.3.05-2       XML Commons external code - DOM, S
ii  libxmlgraphics-commons-ja 1.3.1.dfsg-5   reusable components used by Batik 
ii  libxp6                    1:1.0.0.xsf1-2 X Printing Extension (Xprint) clie
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  libxtst6                  2:1.1.0-2      X11 Testing -- Resource extension 
ii  openjdk-6-jre-headless [j 6b18~pre3-1    OpenJDK Java runtime, using Hotspo

Versions of packages fop recommends:
ii  libsaxon-java                 1:6.5.5-6  The Saxon XSLT Processor

Versions of packages fop suggests:
ii  fop-doc                   1:0.95.dfsg-10 Documentation for fop
ii  libservlet2.4-java        5.0.30-12      Servlet 2.4 and JSP 2.0 Java libra

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Thu, 17 Jun 2010 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Corona <gabriel.corona@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 17 Jun 2010 23:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 575411@bugs.debian.org (full text, mbox):

From: Gabriel Corona <gabriel.corona@enst-bretagne.fr>
To: 575411@bugs.debian.org
Subject: Re: fop: log4j not initialized correctly
Date: Fri, 18 Jun 2010 01:36:00 +0200
[Message part 1 (text/plain, inline)]
Hello,

A quick fix is to add either :
-Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.SimpleLog
or
-Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.Jdk14Logger
in the last command of /usr/bin/fop :
run_java
-Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.SimpleLog
$HEADLESS org.apache.fop.cli.Main "$@"

The longer answer is that according to
http://commons.apache.org/logging/guide.html#Configuration
the default loggin backend is log4j backend if it is found in the classpath.
Otherwise, the default is to use the JDK 1.4 Logging backend.
The default backend is overloaded with the org.apache.commons.logging.Log
option.

When using the log4j backend a log4j.properties is searched in the
classpath.
Otherwise the "No appenders could be found for logger" is displayed
and the errors messages are not displayed.

The reason log4j is found in the classpath
is that it is in the classpath of the manifest of commons-loggin.jar.
This is implemented by the patch 06_classpath_manifest.patch
of the commons-logging package.
So maybe the bug should belong to commons-logging instead ?

One solution would be to add a log4j.properties files to fop
or to explicitly change the backend with the
org.apache.commons.logging.Log option
(but the same problem may occur in other packages).

Another solution is to remove the log4j package from the
classpath of commons-logging manifest
(I guess it should not break things).
The good thing is that the backend selection process of
commons-logging would select the JDK 1.4 backend
unless log4js is explicitly in the classpath.

I've never used commons-logging so parts of what I'm saying
may not be accurate.

-- 
Gabriel
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Fri, 18 Jun 2010 07:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 18 Jun 2010 07:15:06 GMT) Full text and rfc822 format available.

Message #15 received at 575411@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: Gabriel Corona <gabriel.corona@enst-bretagne.fr>, 575411@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#575411: fop: log4j not initialized correctly
Date: Fri, 18 Jun 2010 09:12:49 +0200
clone 575411 -1
reassign -1 libbatik-java
thanks

  Hi,

On Fri, Jun 18, 2010 at 1:36 AM, Gabriel Corona
<gabriel.corona@enst-bretagne.fr> wrote:
> A quick fix is to add either :
> -Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.SimpleLog
> or
> -Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.Jdk14Logger
> in the last command of /usr/bin/fop :
> run_java
> -Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.SimpleLog
> $HEADLESS org.apache.fop.cli.Main "$@"

  [...]

  Many thanks; the problem is also present in batik (actually, I'm
wonder if this isn't where the original problem is coming). I'll try
to fix is relatively soon ;-)...

  Cheers,

      Vincent




Bug 575411 cloned as bug 586288. Request was from Vincent Fourmond <fourmond@debian.org> to control@bugs.debian.org. (Fri, 18 Jun 2010 07:15:06 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:52:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Mon, 11 Jul 2011 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Haas <florian.haas@linbit.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 11 Jul 2011 12:57:11 GMT) Full text and rfc822 format available.

Message #24 received at 575411@bugs.debian.org (full text, mbox):

From: Florian Haas <florian.haas@linbit.com>
To: 575411@bugs.debian.org
Cc: Florian Haas <florian.haas@linbit.com>
Subject: [PATCH] fop shell wrapper: add LOGGING variable to configure proper logging
Date: Mon, 11 Jul 2011 14:35:15 +0200
Tags: patch

By default, FOP uses log4j for logging, if it is available. This
behavior can be overridden, however, by setting the
org.apache.commons.logging.Log system property.

Since in Debian the fop package depends on libcommons-logging-java but
not on liblog4j1.2-java, assume that the
org.apache.commons.logging.impl.SimpleLog implementation is always
available (whereas log4j might not be). Thus, pass in an appropriate
value for org.apache.commons.logging.Log via the LOGGING variable in
fop.sh. This can, of course, be overridden from a system-wide or
per-user configuration file.

Signed-off-by: Florian Haas <florian.haas@linbit.com>
---
 debian/fop.sh |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/debian/fop.sh b/debian/fop.sh
index 6130d45..f5a6f06 100644
--- a/debian/fop.sh
+++ b/debian/fop.sh
@@ -15,7 +15,11 @@
 # in your fop configuration file.
 HEADLESS=-Djava.awt.headless=true
 
-
+# To override the default logging configuration, add a LOGGING line to
+# your fop configuration file. To disable logging altogether, set
+#  LOGGING=
+# in your configuration file.
+LOGGING="-Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.SimpleLog"
 
 # Load system-wide configuration, if any
 if [ -f /etc/fop.conf ]; then
@@ -42,4 +46,4 @@ find_jars fop
 
 
 
-run_java $HEADLESS org.apache.fop.cli.Main "$@"
+run_java $HEADLESS $LOGGING org.apache.fop.cli.Main "$@"
-- 
1.7.1





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Mon, 11 Jul 2011 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Corona <gabriel.corona@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 11 Jul 2011 13:18:08 GMT) Full text and rfc822 format available.

Message #29 received at 575411@bugs.debian.org (full text, mbox):

From: Gabriel Corona <gabriel.corona@enst-bretagne.fr>
To: Vincent Fourmond <fourmond@debian.org>, 575411@bugs.debian.org, 562688@bugs.debian.org
Subject: Re: fop: log4j not initialized correctly
Date: Mon, 11 Jul 2011 15:14:57 +0200
Hello,

Shouldn't this be fixed in commons-logging ?

Removing the classpath entry from MANIFEST-MF
(06_classpath_manifest.patch in commons-logging)
should fix the problem in applications.
Individual applications might want to add log4j in their
classpath to make their log4j.properties settings work.

As an added bonus it avoids loading lots of JAR for
nothing in the JVM (servlet-api) and might event prevent
problems.
On my setup, running fop loads both
servlet-api2.4 and servlet-api2.5. Can't this cause
problems for example in an application using
the servlet 2.5 API (in case the 2.4 is used by the
classloader) or the 3.0 servlet API ?

--
Gabriel





Added tag(s) patch. Request was from Florian Haas <florian.haas@linbit.com> to control@bugs.debian.org. (Mon, 11 Jul 2011 13:24:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Mon, 11 Jul 2011 13:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Haas <florian.haas@linbit.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 11 Jul 2011 13:54:07 GMT) Full text and rfc822 format available.

Message #36 received at 575411@bugs.debian.org (full text, mbox):

From: Florian Haas <florian.haas@linbit.com>
To: 575411@bugs.debian.org
Subject: Re: fop: log4j not initialized correctly
Date: Mon, 11 Jul 2011 15:50:35 +0200
[Message part 1 (text/plain, inline)]
On 2011-07-11 15:42, Gabriel Corona wrote:
> Hello,
> 
> Shouldn't this be fixed in commons-logging ?
> 
> Removing the classpath entry from MANIFEST-MF
> (06_classpath_manifest.patch in commons-logging)
> should fix the problem in applications.
> Individual applications might want to add log4j in their
> classpath to make their log4j.properties settings work.

I have no idea how intrusive that fix would be on other applications.
What the fop.sh patch does is ensure proper logging for FOP, and that's
all I really intended to do.

Florian

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Sun, 11 Sep 2011 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 11 Sep 2011 13:39:03 GMT) Full text and rfc822 format available.

Message #41 received at 575411@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 575411@bugs.debian.org
Cc: Control bugs server <control@bugs.debian.org>, "brian m. carlson" <sandals@crustytoothpaste.net>, Florian Haas <florian.haas@linbit.com>
Subject: fop: log4j not initialized correctly
Date: Sun, 11 Sep 2011 15:33:37 +0200
tag 575411 moreinfo
thanks

For some reason I cannot reproduce this issue with latest fop from
testing. Could someone double-check ?

Thanks much
-- 
Mathieu




Added tag(s) moreinfo. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 11 Sep 2011 13:39:05 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 12 Sep 2011 12:03:39 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions fop/1:1.0.dfsg2-2. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 12 Sep 2011 12:03:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Mon, 12 Sep 2011 12:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 12 Sep 2011 12:36:49 GMT) Full text and rfc822 format available.

Message #52 received at 575411@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 575411 <575411@bugs.debian.org>, 575411 <575411-done@bugs.debian.org>, Control bugs server <control@bugs.debian.org>
Date: Mon, 12 Sep 2011 14:31:13 +0200
fixed 575411 fop/1:1.0.dfsg2-2
thanks

I cannot reproduce the issue using 1.0 release. Must be 0.95 specific. Closing.

-- 
Mathieu




Reply sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
You have taken responsibility. (Mon, 12 Sep 2011 12:37:55 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Mon, 12 Sep 2011 12:38:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Thu, 15 Sep 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Corona <gabriel.corona@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 15 Sep 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #62 received at 575411@bugs.debian.org (full text, mbox):

From: Gabriel Corona <gabriel.corona@enst-bretagne.fr>
To: 575411@bugs.debian.org, mathieu.malaterre@gmail.com
Subject: Re: fop: log4j not initialized correctly
Date: Fri, 16 Sep 2011 00:47:36 +0200
In fact the bug is not fixed by FOP 1.0.
It is fixed by Debian patch 04_fixqdoxbuildfailure.patch :

[...]
--- /dev/null    1970-01-01 00:00:00.000000000 +0000
+++ fop-1.0/fop.mf    2011-08-26 15:15:10.000000000 +0200
@@ -0,0 +1,1 @@
+Class-Path: xercesImpl.jar xalan2.jar bsf.jar avalon-framework.jar
batik.jar commons-io.jar commons-logging.jar xmlgraphics-commons.jar
xml-commons-external.jar

A "log.properties" file is now found in bsf.jar which is now in the
classpath
and found by log4j.
You can find this by running fop 1:1.0.dfsg2-2 with -Dlog.debug :

log4j: Using URL [jar:file:/usr/share/java/bsf.jar!/log4j.properties]
for automatic log4j configuration.

The FOP CLI behaviour should probably not depend on bsf logging
configuration,
it doesn't seem very robust.

Moreover, the configuration from bsf.jar does not log warnings.

Adding
-Dorg.apache.commons.logging.Log=org.apache.fop.util.CommandLineLogger
would use the default logger for fop CLI.

-- 
Gabriel Corona





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Thu, 15 Sep 2011 23:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Corona <gabriel.corona@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 15 Sep 2011 23:15:06 GMT) Full text and rfc822 format available.

Message #67 received at 575411@bugs.debian.org (full text, mbox):

From: Gabriel Corona <gabriel.corona@enst-bretagne.fr>
To: 575411@bugs.debian.org, mathieu.malaterre@gmail.com
Subject: Re: fop: log4j not initialized correctly
Date: Fri, 16 Sep 2011 01:13:08 +0200
Patch dump_exception.patch is probably redundant with a working
logging configuration (3 lines below the exception is logged).
Moreover, it should not print traces to stdout
(the real output of fop might be sent there).

-- 
Gabriel





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Fri, 16 Sep 2011 12:43:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 16 Sep 2011 12:43:09 GMT) Full text and rfc822 format available.

Message #72 received at 575411@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Control bugs server <control@bugs.debian.org>
Cc: 575411 <575411@bugs.debian.org>
Date: Fri, 16 Sep 2011 14:40:32 +0200
reopen 575411
thanks

Thanks Gabriel for the clear report ! I have re-open the bug. And I'll
close in the next upload of fop (properly this time) !

Thanks very much !
-- 
Mathieu




Bug No longer marked as fixed in versions fop/1:1.0.dfsg2-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Sep 2011 12:43:40 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
You have taken responsibility. (Fri, 16 Sep 2011 14:51:16 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Fri, 16 Sep 2011 14:51:16 GMT) Full text and rfc822 format available.

Message #79 received at 575411-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 575411-close@bugs.debian.org
Subject: Bug#575411: fixed in fop 1:1.0.dfsg2-3
Date: Fri, 16 Sep 2011 14:47:22 +0000
Source: fop
Source-Version: 1:1.0.dfsg2-3

We believe that the bug you reported is fixed in the latest version of
fop, which is due to be installed in the Debian FTP archive:

fop-doc_1.0.dfsg2-3_all.deb
  to main/f/fop/fop-doc_1.0.dfsg2-3_all.deb
fop_1.0.dfsg2-3.debian.tar.gz
  to main/f/fop/fop_1.0.dfsg2-3.debian.tar.gz
fop_1.0.dfsg2-3.dsc
  to main/f/fop/fop_1.0.dfsg2-3.dsc
fop_1.0.dfsg2-3_all.deb
  to main/f/fop/fop_1.0.dfsg2-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575411@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <mathieu.malaterre@gmail.com> (supplier of updated fop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Sep 2011 15:01:03 +0200
Source: fop
Binary: fop fop-doc
Architecture: source all
Version: 1:1.0.dfsg2-3
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Description: 
 fop        - XML formatter driven by XSL Formatting Objects (XSL-FO.)
 fop-doc    - XML formatter driven by XSL Formatting Objects (doc)
Closes: 575411 610344
Changes: 
 fop (1:1.0.dfsg2-3) unstable; urgency=low
 .
   * Fix misrender issue. Closes: #610344
   * Remove qdox.jar copy from source tree
   * Properly fix logging option. Closes: #575411
Checksums-Sha1: 
 7b5ce5ca69546eb37eba93886c883a82657d5529 1762 fop_1.0.dfsg2-3.dsc
 bd7faf8940711929ef3adb2d7946d9afe74c1f95 17368 fop_1.0.dfsg2-3.debian.tar.gz
 339b186f5bd078447b283d01b59106b69cae5d41 2762638 fop_1.0.dfsg2-3_all.deb
 f8d9bc95f786c11357c0611095e693728df62859 5419968 fop-doc_1.0.dfsg2-3_all.deb
Checksums-Sha256: 
 501e63cc2c777a685606ddbd91d732b8b0fe625a00e554bd9434a9ef713f61b8 1762 fop_1.0.dfsg2-3.dsc
 025b20dcabe32747474b8504ca40f4f3cf0323c33ad1daf37c715ca31d3a8a9a 17368 fop_1.0.dfsg2-3.debian.tar.gz
 a0e5647bbbb1c90e70e9d0ba5740f111195621754b10a681b7ada847a15f295f 2762638 fop_1.0.dfsg2-3_all.deb
 cb5d1dd2960d86ecceed4fec7bf8e08002cad211f46ea42ce47144ef241ecb0e 5419968 fop-doc_1.0.dfsg2-3_all.deb
Files: 
 d5f804ea47698d0a11802731e1214bf4 1762 text optional fop_1.0.dfsg2-3.dsc
 7926582a35a37455b8991fa87bff4f4e 17368 text optional fop_1.0.dfsg2-3.debian.tar.gz
 9364ea7ef6e50d1338e1aa4b8854b05f 2762638 text optional fop_1.0.dfsg2-3_all.deb
 811c000639941f5cd3679db0a7d441f1 5419968 doc optional fop-doc_1.0.dfsg2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk5zVI8ACgkQEpFKvQ6iPyt7xwCgttTJlYZLtb7ECLnOR2qqPgqu
rLEAn1Jgd9eG25f0hT3aqi0CYTFcq6Dx
=X3r8
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Tue, 18 Oct 2011 13:30:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 18 Oct 2011 13:30:26 GMT) Full text and rfc822 format available.

Message #84 received at 575411@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 575411@bugs.debian.org
Subject: update for stable?
Date: Tue, 18 Oct 2011 15:28:56 +0200
Hi,

from #debian-java

* h01ger wonders if you think #575411 is a.) important and b.) warants a fix 
in squeeze..

<nthykier> h01ger: can you follow up on the bug asking for a stable update?
<h01ger> sure


cheers,
	Holger




Removed tag(s) unreproducible and moreinfo. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 18 Oct 2011 13:48:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Tue, 18 Oct 2011 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 18 Oct 2011 15:57:03 GMT) Full text and rfc822 format available.

Message #91 received at 575411@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 575411@bugs.debian.org
Subject: workaround
Date: Tue, 18 Oct 2011 17:55:02 +0200
Hi,

as a workaround one can rebuild xmlgraphics-commons and fop from wheezy. (A 
newer version of xml-graphics-common is needed for the newer fop.)

xmlgraphics-commons_1.4.dfsg-3.dsc and fop_1.0.dfsg2-3.dsc built fine for me 
in a pure squeeze environment.


cheers,
	Holger




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Fri, 21 Oct 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 21 Oct 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #96 received at 575411@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Holger Levsen <holger@layer-acht.org>, 575411@bugs.debian.org
Subject: Re: Bug#575411: workaround
Date: Fri, 21 Oct 2011 18:31:48 -0400
Hi Holger,

On Tue, Oct 18, 2011 at 11:55 AM, Holger Levsen <holger@layer-acht.org> wrote:
> as a workaround one can rebuild xmlgraphics-commons and fop from wheezy. (A
> newer version of xml-graphics-common is needed for the newer fop.)
>
> xmlgraphics-commons_1.4.dfsg-3.dsc and fop_1.0.dfsg2-3.dsc built fine for me
> in a pure squeeze environment.

As one of the many fop maintainers, I would vote *against* backporting
fop 1.0 to squeeze (quite strongly actually). See bug #610344 and more
recently #646141.
I really feel anxious in backporting fop in that state, fop is really
a ".0" release, so I would prefer waiting a little more.

The question now becomes should we backport 0.95 with a patch to
remove the annoying warning on the console ? I have no real opinion
about it. If someone thinks this is important, I can try doing the
stable-bpo. However this is documented earlier in this thread how to
circumvent printing of this warning.

2cts
-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#575411; Package fop. (Sat, 22 Oct 2011 11:22:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 22 Oct 2011 11:22:25 GMT) Full text and rfc822 format available.

Message #101 received at 575411@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 575411@bugs.debian.org
Subject: Re: Bug#575411: workaround
Date: Sat, 22 Oct 2011 13:21:18 +0200
Hi Mathieu,

On Samstag, 22. Oktober 2011, Mathieu Malaterre wrote:
> As one of the many fop maintainers, I would vote *against* backporting
> fop 1.0 to squeeze (quite strongly actually). See bug #610344 and more
> recently #646141.

ok.

> The question now becomes should we backport 0.95 with a patch to
> remove the annoying warning on the console ?

isn't #575411 much more than a mere warning? (I'm not really sure anymore... I 
now tend to think it's just a warning one as you said so :-)

If it's a real error, fixing this in stable would be appropriate...


cheers,
	Holger




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Nov 2011 07:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:44:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.